This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 825927 - qemu -net user doesn't work if primary dns server is down
qemu -net user doesn't work if primary dns server is down
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 02:16 EDT by Jan ONDREJ
Modified: 2013-07-11 15:02 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-11 15:02:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan ONDREJ 2012-05-29 02:16:01 EDT
Description of problem:
After upgrade to Fedora 17, my qemu testing script will fail to completelly boot. My ipxe script will get IP address from DHCP server, but unable to resolve hostnames. Download using IP address works well.

Version-Release number of selected component (if applicable):
qemu-1.0-17.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1. qemu-kvm -cdrom ipxe.iso
  
Actual results:
iPXE 1.0.0+ -- Open Source Network Boot Firmware -- http://ipxe.org             
Features: VLAN HTTPS iSCSI FTP HTTP DNS SLAM TFTP AoE SRP bzImage ELF MBOOT PXE 
Menu PXEXT                                                                      
DHCP (net0 52:54:00:12:34:56)...... ok                                          
https://boot.salstar.sk/by_mac/52%3A54%3A00%3A12%3A34%3A56............... Connec
tion timed out (http://ipxe.org/4c116035)                                       
https://boot.salstar.sk/by_ip/10.0.2.15............... Connection timed out (htt
p://ipxe.org/4c116035)                                                          
https://boot.salstar.sk/menu.ipxe............... Connection timed out (http://ip
xe.org/4c116035)                                                                Press any key to enter failsafe menu ...                                        

Expected results:
booted menu

Additional info:
My ipxe.iso image is here: http://boot.salstar.sk/ipxe/ipxe.iso
Does not matter, if I boot from iso or from tftp.
Other network modes works well, this just happen for -net user (which is default).
Comment 1 Jan ONDREJ 2012-06-02 01:09:45 EDT
I fixed this on my system. The problem was in DNS server. My primary DNS server was down.

Can qemu use other DNS servers, if first is down?

May be qemu can send to guest so many dns=10.0.2.3,dns=10.0.2.4,... parameters as DNS servers in resolv.conf and forward them to proper addresses.
Comment 2 Fedora End Of Life 2013-07-04 00:12:54 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Cole Robinson 2013-07-11 15:02:58 EDT
F19 has a dnssearch= option, I think that solves this.

Note You need to log in before you can comment on or make changes to this bug.